**Purpose**: Once AWX is deployed, you will want to connect Gitea at https://git.bunny-lab.io.  The reason for this is so we can pull in our playbooks, inventories, and templates automatically into AWX, making it more stateless overall and more resilient to potential failures of either AWX or the underlying Kubernetes Cluster hosting it.

## Obtain Gitea Token
You already have this documented in Vaultwarden's password notes for awx.bunny-lab.io, but in case it gets lost, go to the [Gitea Token Page](https://git.bunny-lab.io/user/settings/applications) to set up an application token with read-only access for AWX, with a descriptive name.

## Create Gitea Credentials
Before you make move on and make the project, you need to associate the Gitea token with an AWX "Credential".  Navigate to **Resources > Projects > Add**
| **Field** | **Value** |
| :--- | :--- |
| Credential Name | `git.bunny-lab.io` |
| Description | `Gitea` |
| Organization | `Default` *(Click the Magnifying Lens)* |
| Credential Type | `Source Control` |
| Username | `Gitea Username` *(e.g. `nicole`)* |
| Password | `<Gitea Token>` |

## Create an AWX Project
In order to link AWX to Gitea, you have to connect the two of them together with an AWX "Project".  Navigate to **Resources > Credentials > Add**

**Project Variables**:
| **Field** | **Value** |
| :--- | :--- |
| Project Name | `Bunny-Lab` |
| Description | `Homelab Environment` |
| Organization | `Default` |
| Execution Environment | `<Leave Blank>` |
| Source Control Type | `Git` |
| Content Signature Validation Credential | `<Leave Blank>` |

**Gitea-specific Variables**:
| **Field** | **Value** |
| :--- | :--- |
| Source Control URL | `https://git.bunny-lab.io/GitOps/awx.bunny-lab.io.git` |
| Source Control Branch/Tag/Commit | `main` |
| Source Control Refspec | `<Leave Blank>` |
| Source Control Credential | `git.bunny-lab.io` *(Click the Magnifying Lens)* |